Bug 220118 - internal compiler error: in find_or_generate_expression, at tree-ssa-pre.c:1472
internal compiler error: in find_or_generate_expression, at tree-ssa-pre.c:1472
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 17:57 EST by Bunpote
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 03:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (124.44 KB, text/plain)
2006-12-18 17:59 EST, Bunpote
no flags Details

  None (edit)
Description Bunpote 2006-12-18 17:57:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061108 Fedora/1.5.0.8-1.fc5 Firefox/1.5.0.8

Description of problem:
I was trying to install Situs_2.2.1. While I was executing make all, I got the following:

gcc -I/usr/local/include -I../fftw -O3 -g -Wall -D_SMP_ -DMAX_NUM_THREADS=16 -c ./map2map.c
gcc -I/usr/local/include -I../fftw -O3 -g -Wall -D_SMP_ -DMAX_NUM_THREADS=16 -c ./lib_err.c
gcc -I/usr/local/include -I../fftw -O3 -g -Wall -D_SMP_ -DMAX_NUM_THREADS=16 -c ./lib_vio.c
gcc -I/usr/local/include -I../fftw -O3 -g -Wall -D_SMP_ -DMAX_NUM_THREADS=16 -c ./lib_vwk.c
./lib_vwk.c: In function ‘create_laplacian’:
./lib_vwk.c:536: internal compiler error: in find_or_generate_expression, at tree-ssa-pre.c:1472
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccu4uolt.out file, please attach this to your bugreport.
make: *** [lib_vwk.o] Error 1


Version-Release number of selected component (if applicable):
gcc-4.1.1

How reproducible:
Always


Steps to Reproduce:
1

Actual Results:


Expected Results:


Additional info:
Comment 1 Bunpote 2006-12-18 17:59:18 EST
Created attachment 143961 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2006-12-19 03:54:51 EST
Fixed in FC6 gcc.  If/when FC5 is updated, it will be to the same codebase as
FC6 gcc (except libgcj changes).

Note You need to log in before you can comment on or make changes to this bug.